diff -aruN --binary 1/components/com_content/views/section/tmpl/blog_item.php 2/components/com_content/views/section/tmpl/blog_item.php
--- 1/components/com_content/views/section/tmpl/blog_item.php	2009-05-29 15:22:46.000000000 +0200
+++ 2/components/com_content/views/section/tmpl/blog_item.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,15 +1,11 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
-<?php if ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own')) : ?>
-	<div class="contentpaneopen_edit<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
-		<?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
-	</div>
-<?php endif; ?>
+<?php $canEdit   = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own')); ?>
 <?php if ($this->item->state == 0) : ?>
 <div class="system-unpublished">
 <?php endif; ?>
 
-<?php if ($this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon')) : ?>
+<?php if ($this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon') || $canEdit) : ?>
 <table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <tr>
 	<?php if ($this->item->params->get('show_title')) : ?>
@@ -40,6 +36,13 @@
 	<?php echo JHTML::_('icon.email', $this->item, $this->item->params, $this->access); ?>
 	</td>
 	<?php endif; ?>
+	
+	<?php if ($canEdit) : ?>
+	   <td align="right" width="100%" class="buttonheading">
+	   <?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
+	   </td>
+   <?php endif; ?>
+	
 </tr>
 </table>
 <?php endif; ?>
diff -aruN --binary 1/components/com_media/media.php 2/components/com_media/media.php
--- 1/components/com_media/media.php	2009-05-29 14:53:10.000000000 +0200
+++ 2/components/com_media/media.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: media.php 11784 2009-04-24 17:34:11Z kdevine $
+ * @version		$Id: media.php 12542 2009-07-22 17:40:48Z ian $
  * @package		Joomla
  * @subpackage	Massmail
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -14,14 +14,7 @@
 
 // no direct access
 defined('_JEXEC') or die('Restricted access');
-
 $params =& JComponentHelper::getParams('com_media');
-$ranks = array('publisher', 'editor', 'author', 'registered');
-$acl = & JFactory::getACL();
-for($i = 0; $i < $params->get('allowed_media_usergroup', 3); $i++)
-{
-	$acl->addACL( 'com_media', 'popup', 'users', $ranks[$i] );
-}
 // Make sure the user is authorized to view this page
 $user = & JFactory::getUser();
 if (!$user->authorize( 'com_media', 'popup' )) {
diff -aruN --binary 1/components/com_user/controller.php 2/components/com_user/controller.php
--- 1/components/com_user/controller.php	2009-06-30 22:01:32.000000000 +0200
+++ 2/components/com_user/controller.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 12389 2009-07-01 00:34:45Z ian $
+ * @version		$Id: controller.php 12538 2009-07-22 17:26:51Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -250,7 +250,7 @@
 
 		// Set some initial user values
 		$user->set('id', 0);
-		$user->set('usertype', '');
+		$user->set('usertype', $newUsertype);
 		$user->set('gid', $authorize->get_group_id( '', $newUsertype, 'ARO' ));
 
 		$date =& JFactory::getDate();
diff -aruN --binary 1/includes/framework.php 2/includes/framework.php
--- 1/includes/framework.php	2009-06-30 22:01:32.000000000 +0200
+++ 2/includes/framework.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 12389 2009-07-01 00:34:45Z ian $
+* @version		$Id: framework.php 12543 2009-07-23 01:47:21Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 1/language/ca-ES/ca-ES.com_content.ini 2/language/ca-ES/ca-ES.com_content.ini
--- 1/language/ca-ES/ca-ES.com_content.ini	2009-03-13 23:26:08.000000000 +0100
+++ 2/language/ca-ES/ca-ES.com_content.ini	2009-06-30 21:07:08.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: ca-ES.com_content.ini 11654 2009-03-13 23:26:36Z dverger $
+# $Id: ca-ES.com_content.ini 12386 2009-06-30 21:06:36Z dverger $
 # Joomla! Catalan Translation
 # Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
@@ -116,3 +116,4 @@
 YOUR EMAIL=El vostre correu electrònic
 YOUR FRIENDS EMAIL=El correu electrònic del vostre amic
 YOUR NAME=El vostre nom
+TOGGLE EDITOR=Canvia d'editor
diff -aruN --binary 1/language/ca-ES/ca-ES.ini 2/language/ca-ES/ca-ES.ini
--- 1/language/ca-ES/ca-ES.ini	2009-01-10 20:11:32.000000000 +0100
+++ 2/language/ca-ES/ca-ES.ini	2009-07-05 22:41:58.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: ca-ES.ini 11391 2009-01-10 20:11:35Z dverger $
+# $Id: ca-ES.ini 12073 2009-06-28 23:11:35Z dverger $
 # Joomla! Catalan Translation
 # Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
@@ -13,7 +13,7 @@
 DATE_FORMAT_LC3=%e de %B de %Y
 DATE_FORMAT_LC4=%d.%m.%y
 DATE_FORMAT_JS1=y-m-d
-%Y-%M-%D=%Y-%M-%D
+%Y-%M-%D=%Y-%m-%d
 %A, %B %E=%A, %e de %B
 
 # Months
@@ -50,7 +50,7 @@
 SUNDAY=diumenge
 MON=dl.
 MONDAY=dilluns
-TUE=dm.
+TUE=dt.
 TUESDAY=dimarts
 WED=dc.
 WEDNESDAY=dimecres
diff -aruN --binary 1/language/ca-ES/ca-ES.mod_feed.ini 2/language/ca-ES/ca-ES.mod_feed.ini
--- 1/language/ca-ES/ca-ES.mod_feed.ini	2009-01-10 20:49:26.000000000 +0100
+++ 2/language/ca-ES/ca-ES.mod_feed.ini	2009-06-28 23:15:16.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: ca-ES.mod_feed.ini 11371 2009-01-10 20:46:22Z dverger $
+# $Id: ca-ES.mod_feed.ini 12072 2009-06-28 23:16:22Z dverger $
 # Joomla! Catalan Translation
 # Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
@@ -28,4 +28,4 @@
 SHOW THE IMAGE ASSOCIATED WITH THE WHOLE FEED=Mostra la imatge associada amb el canal sencer.
 THIS MODULE ALLOWS THE DISPLAYING OF A SYNDICATED FEED=Aquest mòdul permet la visualització d'un canal sindicat.
 WORD COUNT=Comptatge de paraules
-THE TIME IN SECONDS BEFORE THE MODULE IS RE-CACHED.=Temps en segons abans que el mòdul es torni a carregar a la memòria cau.
+THE TIME IN MINUTES BEFORE THE MODULE IS RE-CACHED.=Temps en minuts abans que el mòdul es torni a carregar a la memòria cau.
diff -aruN --binary 1/language/ca-ES/ca-ES.tpl_beez.ini 2/language/ca-ES/ca-ES.tpl_beez.ini
--- 1/language/ca-ES/ca-ES.tpl_beez.ini	2008-12-31 20:49:10.000000000 +0100
+++ 2/language/ca-ES/ca-ES.tpl_beez.ini	2009-06-28 23:18:06.000000000 +0200
@@ -1,7 +1,7 @@
-# $Id: ca-ES.tpl_beez.ini 10388 2008-07-24 01:17:10Z dverger $
+# $Id: ca-ES.tpl_beez.ini 12230 2009-06-28 23:17:10Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
@@ -24,3 +24,4 @@
 SKIP TO CONTENT=Vés al contingut
 SMALLER=més petit
 YOU ARE HERE=Sou aquí:
+LOST PASSWORD?=Heu perdut la contrasenya?
diff -aruN --binary 1/language/es-ES/es-ES.ini 2/language/es-ES/es-ES.ini
--- 1/language/es-ES/es-ES.ini	2009-07-01 10:14:58.000000000 +0200
+++ 2/language/es-ES/es-ES.ini	2009-07-25 18:09:50.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: es-ES.ini 1.5.0 2009-07-01 10:14:58 2007-10-06 ~0 $
+# $Id: es-ES.ini 1.5.0 2009-07-06 10:50:23 2007-10-06 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -151,7 +151,7 @@
 A SEARCH ENGINE THAT HAS AN OUT-OF-DATE LISTING FOR THIS SITE=el sistema de búsqueda tiene<strong>un listado anticuado para este sitio</strong>
 A MIS-TYPED ADDRESS=a <strong>dirección mis-typed</strong>
 ATTENTION OPEN IN A NEW WINDOW=Atención, abrir en una nueva ventana.
-BACK=Retroceder
+BACK=[ Retroceder ]
 BANNER=Banner
 CACHE DIRECTORY UNWRITABLE=Directorio de caché No Escribible
 CANCEL=Cancelar
diff -aruN --binary 1/language/es-ES/es-ES.mod_feed.ini 2/language/es-ES/es-ES.mod_feed.ini
--- 1/language/es-ES/es-ES.mod_feed.ini	2009-07-01 10:16:20.000000000 +0200
+++ 2/language/es-ES/es-ES.mod_feed.ini	2009-07-25 18:09:50.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: es-ES.mod_feed.ini 1.5.0 2009-07-01 10:16:20 2007-10-06 ~0 $
+# $Id: es-ES.mod_feed.ini 1.5.0 2009-07-04 12:57:18 2007-10-06 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -8,7 +8,7 @@
 DISPLAY FEED IN RTL DIRECTION=Mostrar Feed en la dirección RTL
 DISPLAY NEWS FEED TITLE=Muestra el titulo de las noticias Feed
 ENTER NUMBER OF RSS ITEMS TO DISPLAY=Introduzca el número de elementos RSS para ver
-ENTER THE URL OF THE RSS/RDF FEED=Introduzca la URL de als feeds RSS/RDF
+ENTER THE URL OF THE RSS/RDF FEED=Introduzca la URL de las feeds RSS/RDF
 FEED DESCRIPTION=Descripción Feed
 FEED IMAGE=Imagen del Feed
 FEED DISPLAY=Presentación de la suscripción
diff -aruN --binary 1/language/es-ES/es-ES.mod_footer.ini 2/language/es-ES/es-ES.mod_footer.ini
--- 1/language/es-ES/es-ES.mod_footer.ini	2008-11-11 19:48:42.000000000 +0100
+++ 2/language/es-ES/es-ES.mod_footer.ini	2009-07-25 18:09:48.000000000 +0200
@@ -1,12 +1,12 @@
-# $Id: es-ES.mod_footer.ini 1.5.0 2008-07-08 20:37:33 2007-09-01 ~0 $
+# $Id: es-ES.mod_footer.ini 1.5.0 2009-07-06 13:37:55 2007-09-01 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
 
 FOOTER=Footer (pie de página)
-FOOTER_LINE1=Copyright &#169; %date% Open Source Matters. Todos los derechos reservados.<br />
-FOOTER_LINE2=<a href="http://www.joomlaspanish.org/">Pack creado por Joomla! Spanish 2008</a> - <a href="http://www.webempresa.com/" title="Diseño web" alt="Diseño web" target="_blank">Patrocinado por Web Empresa</a><br /><a href="http://www.joomla.org">Joomla!</a> es un software libre publicado bajo la <a href="http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL">licencia GNU/GPL.</a>
+FOOTER_LINE1=Copyright &#169; %date% %sitename%. Todos los derechos reservados.
+FOOTER_LINE2=<a href="http://www.joomlaspanish.org/">Pack creado por Joomla! Spanish 2008</a> - <a href="http://www.webempresa.com/" title="Diseño web" target="_blank">Patrocinado por Web Empresa</a><br /><a href="http://www.joomla.org">Joomla!</a> es un software libre publicado bajo la <a href="http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL">licencia GNU/GPL.</a>
 MOD_FOOTER=<em>mod_footer</em>
-THIS MODULE SHOWS THE JOOMLA! COPYRIGHT INFORMATION=Este módulo muestra información de los derechos de Copyright de Joomla!
\ No hay ningún carácter de nueva línea al final del fichero
+THIS MODULE SHOWS THE JOOMLA! COPYRIGHT INFORMATION=Este módulo muestra información del Copyright de Joomla!
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 1/language/es-ES/es-ES.mod_whosonline.ini 2/language/es-ES/es-ES.mod_whosonline.ini
--- 1/language/es-ES/es-ES.mod_whosonline.ini	2008-07-08 21:20:26.000000000 +0200
+++ 2/language/es-ES/es-ES.mod_whosonline.ini	2009-07-25 18:09:46.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: es-ES.mod_whosonline.ini 1.5.0 2008-07-08 20:13:51 2007-09-01 ~0 $
+# $Id: es-ES.mod_whosonline.ini 1.5.0 2009-07-06 10:55:42 2007-09-01 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -13,9 +13,9 @@
 MEMBER ONLINE=&nbsp;%s miembro en línea
 MEMBERS ONLINE=&nbsp;%s miembros en línea
 MOD_WHOSONLINE=<em>mod_whosonline</em>
-NO USERS ONLINE=No hay usuarios en líena
+NO USERS ONLINE=No hay usuarios en línea
 NUMBER OF GUESTS/MEMBERS=# de Invitados / Miembros
-ONLINE=conectado
+ONLINE=conectado(s)
 SELECT WHAT SHALL BE SHOWN=Seleccione que deberá ser mostrado
 GUEST=%s invitado
 GUESTS=%s invitados
diff -aruN --binary 1/libraries/joomla/client/ldap.php 2/libraries/joomla/client/ldap.php
--- 1/libraries/joomla/client/ldap.php	2009-05-29 14:54:34.000000000 +0200
+++ 2/libraries/joomla/client/ldap.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,7 +1,7 @@
 <?php
 
 /**
-* @version		$Id: ldap.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: ldap.php 12543 2009-07-23 01:47:21Z ian $
 * @package		Joomla.Framework
 * @subpackage	Client
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -18,6 +18,10 @@
  * @subpackage	Client
  * @since		1.5
  */
+
+// no direct access
+defined('_JEXEC') or die('Restricted access');
+
 class JLDAP extends JObject
 {
 	/** @var string Hostname of LDAP server
diff -aruN --binary 1/libraries/joomla/filesystem/file.php 2/libraries/joomla/filesystem/file.php
--- 1/libraries/joomla/filesystem/file.php	2009-06-30 22:01:32.000000000 +0200
+++ 2/libraries/joomla/filesystem/file.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: file.php 12346 2009-06-24 13:16:14Z ian $
+ * @version		$Id: file.php 12541 2009-07-22 17:36:38Z ian $
  * @package		Joomla.Framework
  * @subpackage	FileSystem
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -336,6 +336,7 @@
 			// Copy the file to the destination directory
 			if (is_uploaded_file($src) && $ftp->store($src, $dest))
 			{
+			            $ret = true;
                 		unlink($src);
 			} else {
 				JError::raiseWarning(21, JText::_('WARNFS_ERR02'));
diff -aruN --binary 1/libraries/joomla/html/html/content.php 2/libraries/joomla/html/html/content.php
--- 1/libraries/joomla/html/html/content.php	2009-05-29 14:54:28.000000000 +0200
+++ 2/libraries/joomla/html/html/content.php	2009-07-23 04:25:36.000000000 +0200
@@ -12,6 +12,9 @@
 * See COPYRIGHT.php for copyright notices and details.
 */
 
+// no direct access
+defined('_JEXEC') or die('Restricted access');
+
 JLoader::register('JTableContent', JPATH_LIBRARIES . DS . 'joomla' . DS . 'database' . DS . 'table' . DS . 'content.php');
 
 /**
diff -aruN --binary 1/libraries/joomla/user/authorization.php 2/libraries/joomla/user/authorization.php
--- 1/libraries/joomla/user/authorization.php	2009-05-29 14:54:34.000000000 +0200
+++ 2/libraries/joomla/user/authorization.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: authorization.php 11784 2009-04-24 17:34:11Z kdevine $
+* @version		$Id: authorization.php 12542 2009-07-22 17:40:48Z ian $
 * @package		Joomla.Framework
 * @subpackage	User
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -143,6 +143,13 @@
 		$this->addACL( 'com_media', 'popup', 'users', 'super administrator' );
 		$this->addACL( 'com_media', 'popup', 'users', 'administrator' );
 		$this->addACL( 'com_media', 'popup', 'users', 'manager' );
+		$this->addACL( 'com_media', 'popup', 'users', 'registered' );
+		$this->addACL( 'com_media', 'popup', 'users', 'author' );
+		$this->addACL( 'com_media', 'popup', 'users', 'editor' );
+		$this->addACL( 'com_media', 'popup', 'users', 'publisher' );
+		$this->addACL( 'com_media', 'upload', 'users', 'super administrator' );
+		$this->addACL( 'com_media', 'upload', 'users', 'administrator' );
+		$this->addACL( 'com_media', 'upload', 'users', 'manager' );
 
 		$this->addACL( 'com_menus', 'manage', 'users', 'administrator' );
 		$this->addACL( 'com_menus', 'manage', 'users', 'super administrator' );
diff -aruN --binary 1/libraries/joomla/utilities/compat/php50x.php 2/libraries/joomla/utilities/compat/php50x.php
--- 1/libraries/joomla/utilities/compat/php50x.php	2009-05-29 14:54:32.000000000 +0200
+++ 2/libraries/joomla/utilities/compat/php50x.php	2009-07-23 04:25:36.000000000 +0200
@@ -17,6 +17,10 @@
  *
  * @since		1.5
  */
+
+// Check to ensure this file is within the rest of the framework
+defined('JPATH_BASE') or die('Restricted access');
+
 if (!defined('FILE_USE_INCLUDE_PATH')) {
 	define('FILE_USE_INCLUDE_PATH', 1);
 }
@@ -97,9 +101,14 @@
 /**
  * Ported PHP5 function to PHP4 for forward compatibility
  */
-function clone($object) {
-	return unserialize(serialize($object));
-}
+
+if (version_compare(phpversion(), '5.0') < 0) {
+    eval('
+    function clone($object) {
+      return unserialize(serialize($object));
+    }
+    ');
+  }
 
 if(!function_exists('stripos')) {
  function stripos($haystack, $needle, $offset = 0) {
diff -aruN --binary 1/libraries/joomla/version.php 2/libraries/joomla/version.php
--- 1/libraries/joomla/version.php	2009-06-30 22:01:32.000000000 +0200
+++ 2/libraries/joomla/version.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: version.php 12389 2009-07-01 00:34:45Z ian $
+ * @version		$Id: version.php 12543 2009-07-23 01:47:21Z ian $
  * @package	Joomla.Framework
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -26,15 +26,15 @@
 	/** @var string Development Status */
 	var $DEV_STATUS = 'Stable';
 	/** @var int Sub Release Level */
-	var $DEV_LEVEL 	= '12';
+	var $DEV_LEVEL 	= '13';
 	/** @var int build Number */
 	var $BUILD	= '';
 	/** @var string Codename */
-	var $CODENAME 	= 'Wojmamni Ama Woi';
+	var $CODENAME 	= 'Wojmamni Ama Baji';
 	/** @var string Date */
-	var $RELDATE 	= '01-July-2009';
+	var $RELDATE 	= '23-July-2009';
 	/** @var string Time */
-	var $RELTIME 	= '02:00';
+	var $RELTIME 	= '04:00';
 	/** @var string Timezone */
 	var $RELTZ 	= 'GMT';
 	/** @var string Copyright Text */
diff -aruN --binary 1/plugins/content/emailcloak.php 2/plugins/content/emailcloak.php
--- 1/plugins/content/emailcloak.php	2009-05-29 14:52:46.000000000 +0200
+++ 2/plugins/content/emailcloak.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,7 +1,7 @@
 <?php
 /**
-* @version		$Id: emailcloak.php 10381 2008-06-01 03:35:53Z pasamio $
-* @package		oomla
+* @version		$Id: emailcloak.php 12537 2009-07-22 17:15:21Z ian $
+* @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
diff -aruN --binary 1/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php 2/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php
--- 1/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php	2009-06-30 22:05:16.000000000 +0200
+++ 2/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,125 +1,4 @@
-<?php
-/*
-TinyBrowser 1.41 - A TinyMCE file browser (C) 2008  Bryn Jones
-(author website - http://www.lunarvis.com)
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-*/
-
-// switch off error handling, to use custom handler
-error_reporting(0); 
-
-// set script time out higher, to help with thumbnail generation
-set_time_limit(240);
-
-$tinybrowser = array();
-
-// Session control and security check - to enable please uncomment
-//if(isset($_GET['sessidpass'])) session_id($_GET['sessidpass']); // workaround for Flash session bug
-//session_start();
-//$tinybrowser['sessioncheck'] = 'authenticated_user'; //name of session variable to check
-
-// Random string used to secure Flash upload if session control not enabled - be sure to change!
-$tinybrowser['obfuscate'] = 's0merand0mjunk!!!111';
-
-// Set default language (ISO 639-1 code)
-//$tinybrowser['language'] = 'en';
-(isset($_COOKIE['tinybrowser_lang'])) ? $tinybrowser['language'] = $_COOKIE['tinybrowser_lang'] : $tinybrowser['language'] = 'en';
-
-// Set the integration type (TinyMCE is default)
-$tinybrowser['integration'] = 'tinymce'; // Possible values: 'tinymce', 'fckeditor'
-
-// Default is rtrim($_SERVER['DOCUMENT_ROOT'],'/') (suitable when using absolute paths, but can be set to '' if using relative paths)
-$tinybrowser['docroot'] = rtrim($_SERVER['DOCUMENT_ROOT'],'/');
-
-// Folder permissions for Unix servers only
-$tinybrowser['unixpermissions'] = 0777;
-
-// File upload paths (set to absolute by default)
-//$tinybrowser['path']['image'] = '/useruploads/images/'; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
-//$tinybrowser['path']['media'] = '/useruploads/media/'; // Media files location
-//$tinybrowser['path']['file']  = '/useruploads/files/'; // Other files location
-
-$tinybrowser['path']['image'] = str_replace($tinybrowser['docroot'],'', preg_replace('[\\\]', '/', realpath(dirname(__FILE__) . '/../../../../../../../images/stories'))) . '/'; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
-$tinybrowser['path']['media'] = str_replace($tinybrowser['docroot'],'', preg_replace('[\\\]', '/', realpath(dirname(__FILE__) . '/../../../../../../../images/stories'))) . '/'; // Media files location
-$tinybrowser['path']['file']  = str_replace($tinybrowser['docroot'],'', preg_replace('[\\\]', '/', realpath(dirname(__FILE__) . '/../../../../../../../images/stories'))) . '/'; // Other files location
-
-
-// File link paths - these are the paths that get passed back to TinyMCE or your application (set to equal the upload path by default)
-$tinybrowser['link']['image'] = $tinybrowser['path']['image']; // Image links
-$tinybrowser['link']['media'] = $tinybrowser['path']['media']; // Media links
-$tinybrowser['link']['file']  = $tinybrowser['path']['file']; // Other file links
-
-// File upload size limit (0 is unlimited)
-$tinybrowser['maxsize']['image'] = 0; // Image file maximum size
-$tinybrowser['maxsize']['media'] = 0; // Media file maximum size
-$tinybrowser['maxsize']['file']  = 0; // Other file maximum size
-
-// Image automatic resize on upload (0 is no resize)
-$tinybrowser['imageresize']['width']  = 0;
-$tinybrowser['imageresize']['height'] = 0;
-
-// Image thumbnail source (set to 'path' by default - shouldn't need changing)
-$tinybrowser['thumbsrc'] = 'path'; // Possible values: path, link
-
-// Image thumbnail size in pixels
-$tinybrowser['thumbsize'] = 80;
-
-// Image and thumbnail quality, higher is better (1 to 99)
-$tinybrowser['imagequality'] = 80; // only used when resizing or rotating
-$tinybrowser['thumbquality'] = 80;
-
-// Date format, as per php date function
-$tinybrowser['dateformat'] = 'd/m/Y H:i';
-
-// Permitted file extensions
-$tinybrowser['filetype']['image'] = '*.jpg, *.jpeg, *.gif, *.png'; // Image file types
-$tinybrowser['filetype']['media'] = '*.swf, *.dcr, *.mov, *.qt, *.mpg, *.mp3, *.mp4, *.mpeg, *.avi, *.wmv, *.wm, *.asf, *.asx, *.wmx, *.wvx, *.rm, *.ra, *.ram'; // Media file types
-$tinybrowser['filetype']['file']  = '*.*'; // Other file types
-
-// Prohibited file extensions
-$tinybrowser['prohibited'] = array('php','php3','php4','php5','phtml','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','dll','reg','cgi', 'sh', 'py','asa','asax','config','com','inc');
-
-// Default file sort
-$tinybrowser['order']['by']   = 'name'; // Possible values: name, size, type, modified
-$tinybrowser['order']['type'] = 'asc'; // Possible values: asc, desc
-
-// Default image view method
-$tinybrowser['view']['image'] = 'thumb'; // Possible values: thumb, detail
-
-// File Pagination - split results into pages (0 is none)
-$tinybrowser['pagination'] = 0;
-
-// TinyMCE dialog.css file location, relative to tinybrowser.php (can be set to absolute link)
-$tinybrowser['tinymcecss'] = '../../themes/advanced/skins/default/dialog.css';
-
-// TinyBrowser pop-up window size
-$tinybrowser['window']['width']  = 770;
-$tinybrowser['window']['height'] = 480;
-
-// Assign Permissions for Upload, Edit, Delete & Folders
-$tinybrowser['allowupload']  = true;
-$tinybrowser['allowedit']    = true;
-$tinybrowser['allowdelete']  = true;
-$tinybrowser['allowfolders'] = true;
-
-// Clean filenames on upload
-$tinybrowser['cleanfilename'] = true;
-
-// Set default action for edit page
-$tinybrowser['defaultaction'] = 'delete'; // Possible values: delete, rename, move
-
-// Set delay for file process script, only required if server response is slow
-$tinybrowser['delayprocess'] = 0; // Value in seconds
-?>
+<?php
+
+// no direct access
+defined('_JEXEC') or die('Restricted access');
diff -aruN --binary 1/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/css/style_tinybrowser.css.php 2/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/css/style_tinybrowser.css.php
--- 1/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/css/style_tinybrowser.css.php	2009-06-30 22:05:16.000000000 +0200
+++ 2/plugins/editors/tinymce/jscripts/tiny_mce/plugins/tinybrowser/css/style_tinybrowser.css.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,226 +1,4 @@
-<?php
-require_once("../config_tinybrowser.php");
-
-header ("Content-type: text/css");
-?>
-html { 
-overflow: -moz-scrollbars-vertical !important; 
-}
-.panel_wrapper div.currentmod {
-display:block;
-width:100%; 
-overflow-x:hidden;
-}
-.tabs li.right {
-float:right;
-margin:0;
-}
-.tabs span {
-font-size: 10px;
-}
-fieldset {
-padding-bottom: 10px;
-}
-form {
-margin: 0;
-padding: 0;
-font-size: 11px;
-}
-form.custom select, form.custom input {
-margin: 0 7px 0 0;
-padding: 0;
-}
-form.custom input {
-height: 14px;
-padding: 2px 0 0 2px;
-}
-form.custom select {
-margin-top: 1px;
-padding: 0;
-}
-form.custom label {
-margin-right: 2px;
-}
-.del {
-margin: 0;
-padding: 0;
-border: none;
-width: 13px !important; /* for IE */ 
-height: 13px !important; /* for IE */
-vertical-align: middle;
-}
-.rad {
-margin: 0;
-padding: 0;
-margin-left: 2px !important;
-border: none;
-background: none;
-vertical-align: middle;
-}
-img {
-vertical-align: middle !important;
-}
-button {
-vertical-align: top;
-font-size: 11px;
-background-color: #d5d5d5;
-border: 1px solid #666666;
-padding: 1px 2px;
-}
-*+html button { padding: 0; } /*IE7+ */
-* html button { padding: 0; } /*IE6- */
-button:hover {
-background-color:#8cca83;
-cursor: hand;
-}
-button.edit:hover {
-background-color:#ff9999;
-}
-.tabularwrapper {
-margin: 5px;
-}
-table.browse {
-clear: both;
-width: 100%;
-border: 1px solid #b7babc;
-border-right: 0;
-border-collapse: collapse;
-overflow: hidden;
-}
-table.browse th, table.browse td {
-font-size: 10px;
-text-align: left;
-padding: 0 7px;
-color: #0b333c;
-border-right: 1px solid #b7babc;
-line-height: 22px;
-}
-table.browse th {
-background-image: url(../img/back.png);
-background-repeat: repeat-x;
-background-position: bottom left;
-border-bottom: 1px solid #b7babc;
-}
-table.browse th a {
-color: #0b333c;
-display: block;
-width: 100%;
-text-decoration: none;
-background-repeat: no-repeat;
-background-position: center right;
-background-image: none;
-}
-table.browse th a.asc {
-background-image: url(../img/asc.gif);
-}
-table.browse th a.desc {
-background-image: url(../img/desc.gif);
-}
-table.browse tr.r0 td {
-	background-color: #FFFFFF;
-}
-table.browse tr.r1 td {
-	background-color: #f5f5f5;
-}
-table.browse tr.over td, table.browse th.over {
-background-color: #b2e1ff;
-background-image: none;
-}
-.img-browser {
-margin: 5px;
-border: 1px solid #e2e2e2;
-float: left;
-clear: none;
-text-align: center;
-height: <?php echo $tinybrowser['thumbsize']+40; ?>px;
-width: <?php echo $tinybrowser['thumbsize']+25; ?>px;
-font-size: <?php echo $tinybrowser['thumbsize']; ?>px;
-}
-*+html .img-browser { width: <?php echo $tinybrowser['thumbsize']+28; ?>px; } /*IE7+ */
-* html .img-browser { width: <?php echo $tinybrowser['thumbsize']+28; ?>px; } /*IE6- */
-.img-browser img {
-border: 0;
-vertical-align: middle;
-margin-top: -20px;
-}
-*+html .img-browser img { margin-top: 0; } /*IE7+ */
-* html .img-browser img { margin-top: 0; } /*IE6- */
-.img-browser a {
-display: block;
-width: 100%;
-height: 100%;
-text-decoration: none;
-}
-.img-browser a:hover {
-background-color: #b2e1ff;
-}
-.filename {
-font-family: Tahoma,Arial,Helvetica,sans-serif;
-clear:both;
-font-size: 11px;
-line-height: 13px;
-overflow: hidden;
-width: <?php echo $tinybrowser['thumbsize']+20; ?>px;
-height: 28px;
-margin-top: -6px;
-padding-left: 3px;
-}
-a.imghover {
-padding-left: 22px;
-display: block;
-position: relative; 
-z-index: 30;
-background-image: url(../img/preview.gif);
-background-repeat: no-repeat;
-background-position: 0 4px;
-}
-a.imghover img {
-position: absolute; 
-z-index: 31;
-background-color: #fff;
-padding: 4px;
-border: 1px solid #888888;
-display: none; 
-}
-a.imghover:hover img {
-top: -5px; 
-left: 140px; 
-display: block;
-}
-.pushleft {
-padding: 4px 5px;
-float: left;
-text-align: left;
-}
-.pushright {
-padding: 4px 5px;
-float: right;
-text-align: right;
-}
-a {
-outline: none;
-border: 0;
-}
-.alertsuccess, .alertfailure, .alertinfo {
-position: relative;
-clear: both;
-margin: 0 auto;
-padding: 4px 4px 4px 4px;
-width: 98%;
-text-align: center;
-border-style: solid;
-border-width: 1px;
-}
-.alertsuccess {
-border-color: #00C000;
-background-color: #BBFFBB;
-}
-.alertfailure {
-border-color: #CC0000;
-background-color: #FFBBBB;
-}
-.alertinfo {
-border-color: #1133DD;
-background-color: #AACCFF;
-}
-
+<?php
+
+// no direct access
+defined('_JEXEC') or die('Restricted access');
